## loci.formats
Class SEQReader

    java.lang.Object
      loci.formats.FormatHandler
          loci.formats.FormatReader
              loci.formats.BaseTiffReader
                  loci.formats.SEQReader

public class SEQReader
extends BaseTiffReader

SEQReader is the file format reader for Image-Pro Sequence files.

Field Summary

Fields inherited from class loci.formats.BaseTiffReader
`ifds, in, numImages`

Fields inherited from class loci.formats.FormatReader
`DEBUG, DEBUG_LEVEL, metadata, ome`

Fields inherited from class loci.formats.FormatHandler
`chooser, currentId, filters, format, suffixes`

Constructor Summary
`SEQReader()` Constructs a new Image-Pro SEQ reader.

Method Summary
`protected void` `initOMEMetadata()` Overridden to include the three SEQ-specific tags.
`protected void` `initStandardMetadata()` Overridden to include the three SEQ-specific tags.
`static void` `main(String[] args)`

Methods inherited from class loci.formats.BaseTiffReader
`close, getImageCount, getTiffDimensions, initFile, initMetadata, isThisType, open, put, put, put, put, put, put, put, put, put, put, putInt`

Methods inherited from class loci.formats.FormatReader
`createFilters, getMetadata, getMetadataValue, getOMENode, open, testRead`

Methods inherited from class loci.formats.FormatHandler
`getFileChooser, getFileFilters, getFormat, getSuffixes, isThisType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SEQReader

    public SEQReader()

  Constructs a new Image-Pro SEQ reader.

Method Detail

### initStandardMetadata

    protected void initStandardMetadata()

  Overridden to include the three SEQ-specific tags.

  Overrides:
    `initStandardMetadata` in class `BaseTiffReader`

### initOMEMetadata

    protected void initOMEMetadata()

  Overridden to include the three SEQ-specific tags.

  Overrides:
    `initOMEMetadata` in class `BaseTiffReader`

### main

    public static void main(String[] args)
                     throws FormatException,
                            IOException

  Throws:
    `FormatException`
    `IOException`